﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Windows.Foundation;
using Syncfusion.UI.Xaml.ScrollAxis;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Data;
using Syncfusion.UI.Xaml.Grid.Cells;
using Windows.UI.Xaml.Media;

namespace SfDataGridDemo
{
    public class GridCustomStackedRenderer : GridStackedHeaderCellRenderer
    {
        public GridCustomStackedRenderer()
        {
            
        }
        public override void OnInitializeEditElement(Syncfusion.UI.Xaml.ScrollAxis.RowColumnIndex rowColumnIndex, GridStackedHeaderCellControl uiElement, GridColumn column, object dataContext)
        {
            if (rowColumnIndex.ColumnIndex == 0)//Check the ColumnIndex is 0
                uiElement.Style = App.Current.Resources["style1"] as Style;
            else if (rowColumnIndex.ColumnIndex == 2)//Check the ColumnIndex is 0 
                uiElement.Style = App.Current.Resources["style2"] as Style;
            else if (rowColumnIndex.ColumnIndex == 4)//Check the ColumnIndex is 4
                uiElement.Style = App.Current.Resources["style3"] as Style;
			 base.OnInitializeEditElement(rowColumnIndex, uiElement, column, dataContext);
        }

    }
}
